GCLOUD_COMPUTE_TARGET-SSL-PROXIES_UPDATE(1)

NAME

gcloud compute target-ssl-proxies update - update a target SSL proxy

SYNOPSIS

gcloud compute target-ssl-proxies update NAME [--backend-service=BACKEND_SERVICE] [--proxy-header=PROXY_HEADER] [--ssl-certificate=SSL_CERTIFICATE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute target-ssl-proxies update is used to change the SSL certificate, backend service or proxy header of existing target SSL proxies. A target SSL proxy is referenced by one or more forwarding rules which define which packets the proxy is responsible for routing. The target SSL proxy in turn points to a backend service which will handle the requests. The target SSL proxy also points to an SSL certificate used for server-side authentication.

POSITIONAL ARGUMENTS

    NAME
        The name of the target SSL proxy.

FLAGS

    --backend-service=BACKEND_SERVICE
        A backend service that will be used for connections to the target SSL proxy.

    --proxy-header=PROXY_HEADER
        The type of proxy protocol header to be sent to the backend. PROXY_HEADER must be one of:

        NONE
            No proxy header is added.

        PROXY_V1
            Enables PROXY protocol (version 1) for passing client connection information.

    --ssl-certificate=SSL_CERTIFICATE
        A reference to an SSL certificate resource that is used for server-side authentication. The SSL certificate must exist and cannot be deleted while referenced by a target SSL proxy.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.